import 'package:clean_android_design/clean_android_design.dart';
import 'package:flutter/material.dart';

class SaveOrAbortDialog extends StatelessWidget {
  final VoidCallback onAbort;
  final VoidCallback onSave;

  const SaveOrAbortDialog({
    Key key,
    this.onAbort,
    this.onSave,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return DefaultDialog(
      title: Text("Änderungen verwerfen oder speichern?"),
      dismissible: true,
      buttons: <Widget>[
        DefaultDialogButton(
          titel: Text("Verwerfen"),
          onTap: onAbort,
        ),
        DefaultDialogButton(
          titel: Text("Speichern"),
          onTap: onSave,
        )
      ],
    );
  }
}
